Bug 62119 - Video color depth problem
Summary: Video color depth problem
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901
TreeView+ depends on / blocked
 
Reported: 2002-03-27 17:28 UTC by David Bunt
Modified: 2007-04-18 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-03 23:31:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Bunt 2002-03-27 17:28:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/2.99 (3.0 rc3); Linux)

Description of problem:
Laptop IBM thinkpad 770 - video card Trident Cyber 9397 - 2mb memory
Display will not work correctly over 8bit color depth, resolution works, but only displays 16 colors, very nasty palette 16 colors too. Works fine in 7.2

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Upgrade 7.2 to 7.3 beta1
2.Fresh install of 7.3 beta1
3.Find a IBM thinkpad 770 with a Trident Cyber 9397 
 

Actual Results:  1024x768x16bit does not display correctly, only displays 16 colors.

Expected Results:  1024x768x16bit should work fine, Also tried lower resolutions, but would not go above 8bit color. 

Additional info:

This works fine on redhat 7.2

Comment 1 Mike A. Harris 2002-03-28 05:26:09 UTC
DOes it work if you use option "noaccel"?

Comment 2 Alan Hourihane 2002-03-28 08:17:59 UTC
This is a bug, and noaccel won't work.

I have a fix under testing.

You can get a new module from http://www.xfree86.org/~alanh.
Please report back here.

Comment 3 Mike A. Harris 2002-04-03 14:56:37 UTC
Please provide feedback on Alan's test module, or this almost certainly
will ship non-working in our final release.

Comment 4 Mike A. Harris 2002-04-03 23:30:59 UTC
Date: Wed, 3 Apr 2002 17:06:00 -0600
From: NfoCipher <nfocipher@riscserver.com>
To: mharris@redhat.com
Content-Type: text/plain;
  charset="us-ascii"
Subject: [Bug 62119] Changed Status - Video color depth problem
 
Bugzilla will not let me comment on this:
Software error:Couldn't get form data at CGI.pl line 1444.
 
For help, please send mail to the webmaster (bugzilla@redhat.com), giving this
error message and the time and date of the error.
 
Anyways:
 New module works fine. After copying over the old module, system needs a
power cycle to clear out video card. Restarting X or soft reset won't work.

Comment 5 Mike A. Harris 2002-04-06 08:13:34 UTC
Fixed in 4.2.0-6.60 in rawhide.  Thanks for the patch Alan.


Note You need to log in before you can comment on or make changes to this bug.